### Function

# Gtk value_take_expression

since: 4.0

#### Declaration [src]

    void
    gtk_value_take_expression (
      GValue* value,
      GtkExpression* expression
    )

#### Description [src]

Stores the given `GtkExpression` inside `value`.

This function transfers the ownership of the `expression` to the `GValue`.

Available since: 4.0

#### Parameters

`value`

  Type: `GValue`

  A `GValue` initialized with type `GTK_TYPE_EXPRESSION`

  The data is owned by the caller of the function.

`expression`

  Type: `GtkExpression`

  A `GtkExpression`

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.